HP OpenVMS Systems

COM for OpenVMS

HP OpenVMS Systems

OpenVMS information

» What's new on our site
» Upcoming events
» Configuration and buying assistance
» Send us your comments

HP OpenVMS systems

» OpenVMS software
» Supported Servers
» OpenVMS virtualization
» OpenVMS solutions and partners
» OpenVMS success stories
» OpenVMS service and support
» OpenVMS resources and information
» OpenVMS documentation
» Education and training

COM for OpenVMS

» OpenVMS e-Business
» System Requirements
» COM Documentation
» COM Faqs

Evolving business value

» Business Systems Evolution
» AlphaServer systems transition planning
» Alpha RetainTrust program

Related links

» HP Integrity servers
» HP Alpha systems
» HP storage
» HP software
» HP products and services
» HP solutions
» HP support
disaster proof
HP Integrity server animation
HP Integrity server animation
Content starts here

COM for OpenVMS

» Download COM Version 1.4 for OpenVMS   (July 22, 2004)
» Download Security Patch Kits for COM and RPC   (September 19, 2003)

HP is pleased to provide you with a new customer release version of COM for HP OpenVMS. (Version 1.4 requires OpenVMS Alpha Version 7.3-1 or higher.)

COM Version 1.3 for HP OpenVMS is no longer available for download due to third-party legal dependencies. If you are currently using COM Version 1.3, you may continue to use it and submit problem reports via your service contract.

Important:  A potential denial of service has been identified on OpenVMS systems that have the DCE or COM layered products installed, or that are using the RPC portion of DCE that ships with the OpenVMS operating system. These OpenVMS systems could be vulnerable to a remote initated Buffer Overflow, resulting in a hang of DCE or COM applications on OpenVMS.

Download and install both required patch kits DCOM_013_SSRT3608-V0100 and ALP_DCE_030_SSRT3608-V0100 for all versions of COM running on OpenVMS Alpha Versions 7.2-2, 7.3, and 7.3-1. See the customer advisory for more information.

COM for OpenVMS pages:

» Documentation
» Download COM
» Frequently Asked Questions
» System Requirements
COM (Component Object Model) is a technology from Microsoft® that allows developers to create distributed network objects. The former Digital Equipment Corporation and Microsoft jointly developed the COM specification. First released as NetOLE (Network Object Linking and Embedding) and then renamed DCOM (Distributed COM), the COM specification now includes network objects. COM for OpenVMS is a port of the Microsoft code that implements the COM and DCOM draft standards.

The COM for OpenVMS kit includes all the code and documentation you need to install COM for OpenVMS on your system and to develop COM applications.

COM for OpenVMS supports full NTLM authentication between OpenVMS and Windows NT/Windows 2000.

COM for OpenVMS requires OpenVMS Version 7.3-1 or higher on an AlphaTM system, and Windows NT 4.0 SP5 or Windows 2000 SP4 or higher.

New Features in Version 1.4

COM Version 1.4 provides an optimized implementation of the underlying Win32 API infrastructure used by the COM runtime.

COM Version 1.4 for OpenVMS also fixes a number of problems in previous versions. For a list of problems fixed in the current release, see Problems Fixed in This Release.

COM for OpenVMS Security Options

COM for OpenVMS provides the user with two options for security: unauthenticated COM and authenticated COM. These two forms of security are defined as follows:

  • Authenticated COM - The COM server process can execute in the security context of the requesting Windows NT/Windows 2000 client. The COM for OpenVMS server process includes Windows NT/Windows 2000 credentials that OpenVMS can use for OpenVMS Registry access and outbound COM requests. Authenticated COM utilizes the implementation of NTLM security on OpenVMS.
  • Unauthenticated COM - The COM process is executed with an OpenVMS security identity only; OpenVMS does not authenticate COM requests from Windows NT/Windows 2000 clients or process any Windows NT/Windows 2000 credentials.